debian40 vs debian60 install scripts

Discussion in 'Developers' Forum' started by jwarnier, Aug 7, 2010.

  1. jwarnier

    jwarnier ISPConfig Developer ISPConfig Developer

    I just noticed that install/dist/conf/debian40.conf.php and install/dist/conf/debian60.conf.php are identical.

    If you think a little further, you will also notice that current Debian Stable is Lenny, which is 5.0, not 4.0 (Etch), not 6.0 (Squeeze, which happen to have been frozen today).

    I checked in the code, and basically, Etch is "debian40", as well as anything similar up until Squeeze, including Ubuntu. Then "debian60" is Squeeze and Sid, but is actually not much different from debian40.
    This "debian50" missing is bugging me. My sense of order is severely hit. ;-)

    Should we do something about it?
     
  2. jwarnier

    jwarnier ISPConfig Developer ISPConfig Developer

    Also, Debian Squeeze will officially introduce Debian GNU/kFreeBSD, and ISPconfig is not ready to support it as is.
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    You mix a few things up here. There are not files for every release if you take a clser look at the installer. There is only a new file if something differs for a new linux version version that makes it nescessary to override the defaults from the installer_base.lib.php. As debian has a very constant development, the current installer_base.lib.php file supports all debian versions up from 4.0 until the current testing releases.

    This is freebds with a debian userland and not the normal Gnu / Debian Linux. We do not plan to support freebsd in the next releases.
     
  4. jwarnier

    jwarnier ISPConfig Developer ISPConfig Developer

    I don't mix anything, no.
    Currently, debian40 and debian60 are identical, and debian40 is used in almost every case.
    I guess debian60 should at least be updated some time soon, given the recent freeze of Squeeze.

    I just wanted to bring the attention to this particularity about Lenny.

    That's Debian with a FreeBSD kernel (hence the "GNU" and the "k").
    I acknowledge you don't plan to support it.
    That's ok for me.
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    The distribution version specific .conf files in the installer correspond with the .lib files. and if you look in the install/dist/lib directory, you see that there is a library file for debian 6 which has a different routine for configuring dovecot then the one that is used for debian 4 and 5.
     

Share This Page